Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

UnicodeDecodeError and AssertionError #27

Closed
zopyx opened this issue Nov 18, 2019 · 2 comments
Closed

UnicodeDecodeError and AssertionError #27

zopyx opened this issue Nov 18, 2019 · 2 comments
Labels
bug

Comments

@zopyx
Copy link
Member

@zopyx zopyx commented Nov 18, 2019

Using rb3b31b0db70ebad533cc5b66e0d480d8a3c9b874 for a Plone in-place migration.

However this fails badly under Python 3.7.5:

Updating magic marker for var/filestorage/Data.fs
Loaded 1 rename rules from OFS:renames
Loaded 2 decode rules from AccessControl:decodes
Loaded 13 decode rules from OFS:decodes
Loaded 3 decode rules from Products.PythonScripts:decodes
Loaded 1 decode rules from Products.ZopeVersionControl:decodes
An error occured
Traceback (most recent call last):
  File "/home/ajung/sandboxes/dynamore-plone-5.2-upgrade/src/zodbupdate/src/zodbupdate/main.py", line 221, in main
    updater()
  File "/home/ajung/sandboxes/dynamore-plone-5.2-upgrade/src/zodbupdate/src/zodbupdate/update.py", line 82, in __call__
    new = self.processor.rename(current)
  File "/home/ajung/sandboxes/dynamore-plone-5.2-upgrade/src/zodbupdate/src/zodbupdate/serialize.py", line 333, in rename
    data = unpickler.load()
UnicodeDecodeError: 'ascii' codec can't decode byte 0xfd in position 6: ordinal not in range(128)
Stopped processing, due to: 'ascii' codec can't decode byte 0xfd in position 6: ordinal not in range(128)
Traceback (most recent call last):
  File "/home/ajung/sandboxes/dynamore-plone-5.2-upgrade/src/zodbupdate/src/zodbupdate/main.py", line 221, in main
    updater()
  File "/home/ajung/sandboxes/dynamore-plone-5.2-upgrade/src/zodbupdate/src/zodbupdate/update.py", line 82, in __call__
    new = self.processor.rename(current)
  File "/home/ajung/sandboxes/dynamore-plone-5.2-upgrade/src/zodbupdate/src/zodbupdate/serialize.py", line 333, in rename
    data = unpickler.load()
UnicodeDecodeError: 'ascii' codec can't decode byte 0xfd in position 6: ordinal not in range(128)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "bin/zodbupdate", line 304, in <module>
    sys.exit(zodbupdate.main.main())
  File "/home/ajung/sandboxes/dynamore-plone-5.2-upgrade/src/zodbupdate/src/zodbupdate/main.py", line 225, in main
    raise AssertionError()
AssertionError

@zopyx zopyx added the bug label Nov 18, 2019
@zopyx

This comment has been minimized.

Copy link
Member Author

@zopyx zopyx commented Nov 19, 2019

The error is caused by using Python 3 instead of Python 2 (as documented).
However the script should perhaps check the prequisites.

@zopyx zopyx closed this Nov 19, 2019
@jugmac00

This comment has been minimized.

Copy link
Member

@jugmac00 jugmac00 commented Nov 19, 2019

Hi Andreas - could you edit your answer? You wrote "Python 3" two times. Just in case anybody else has the same problem.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
2 participants
You can’t perform that action at this time.